Skip to main content
Browse Docs
On This Page
View Markdown~440 tokensDownload Markdown~440 tokens

Extract from EXE

Use this extractor for .exe files. It can extract icons into a ZIP result.

Try Extract icon from EXE in the browser ->

Extract.FAST uses this same API -- what you see in the browser is what you get in code.

Quick reference

FieldValue
Source file type.exe
Source groupExecutables
Submit endpointPOST https://api.tools.fast/extract
Estimate endpointPOST https://api.tools.fast/extract/estimate/exe
ResultZIP download
Default capabilitiesexecutable.icons
Max file sizefree: 50 MB; pro: 2048 MB
Document limitsNot applicable
Duration limitsNot applicable

Capabilities

CapabilityDefaultOptionsPricingDescription
executable.iconsYesNoneIncludedEmbedded Windows icon resources saved as ICO and PNG files.

Options payload with all capabilities

Use this shape when you want to explicitly configure every supported output for this source type.

{
  "extraction": {
    "selectedCapabilities": [
      "executable.icons"
    ],
    "includeManifest": true
  }
}

Estimate example

curl -sS -X POST "https://api.tools.fast/extract/estimate/exe" \
  -H "X-Fast-Api-Key: $API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "fileSizeMb": 10,
  "options": {
    "extraction": {
      "selectedCapabilities": [
        "executable.icons"
      ],
      "includeManifest": true
    }
  }
}'

Extract example with all options configured

curl -sS -X POST "https://api.tools.fast/extract" \
  -H "X-Fast-Api-Key: $API_KEY" \
  -F "[email protected]" \
  -F 'options={
  "extraction": {
    "selectedCapabilities": [
      "executable.icons"
    ],
    "includeManifest": true
  }
}'

Machine-readable discovery

GET /options/exe
GET /extractors/exe
Copied